
import pandas as pd
import numpy as np
import random

def randomize_dataframe_columns(df, num_new_columns=3):
    """
    This function adds random number of new columns to the input dataframe.
    """
    # Generate random data for the new columns
    for _ in range(num_new_columns):
        new_col = np.random.rand(len(df))
        df[f'new_col_{_+1}'] = new_col
    
    return df

# Code Explanation
# This function takes a dataframe as input and adds a specified number of new random columns to it.
# Each new column is filled with random numbers between 0 and 1.

# Code Metadata
